<?php

namespace Drupal\drush_psysh\Drush\Commands;

use Drush\Commands\DrushCommands;

class DrushPsyshCommands extends DrushCommands
{
  /**
   * Open a PsySH shell.
   *
   * @command psysh
   * @aliases psy shell sh
   * @bootstrap full
   */
  public function psysh()
  {
    $this->output()->writeln('Opening PsySH shell...');
    $this->output()->writeln('Type `exit` to return to Drush.');
    $this->output()->writeln('');

    $config = new \Psy\Configuration();
    $shell = new \Psy\Shell($config);
    $shell->run();
  }
}
